Subject: Re: Bugs in CYGWIN teTeX
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Fri, 13 Sep 2002 10:12:10 +0200

"[email-masked]" <[email-masked]> writes:

> Dear Mr. Esser:

[you probably won't find Thomas here :) ]

>  I have just installed the teTeX distribution that comes with CYGWIN, I
> have found various bugs that, after a week of pain, I have resolved.

Thanks for looking into it.

> 1- XDVI Configuration: Unconvinient shrink buttons; the initial shrink ratio
>   does not correspond to any button. In the texconfig v0.99
>   in the run_xdvi_setup_mode() function are defined 4 buttons, but actually
>   the shrink buttons are only 3. The fullsize button is not the #1. Instead
>   of "b1=1; b2=2; b3=3; b4=4" it should be "b1=2; b2=3; b3=4". Actually, for
>   a small screen with 300dpi I have found better "b1=2; b2=4; b3=6".

I don't fully understand.  Do you suggest this problem is unique to
Cygwin, or do you see this in a UNIX environment too?  Note that xdvik
is derived from xdvi, which is developed by Paul Vojta
([email-masked]).  You may want to get the latest xdvi
(ftp://ftp.math.berkeley.edu/pub/Software/TeX) and see if the problem
is fixed; and otherwise to report to him.

> 2-xdvi fails to find poscript fonts. After generating the ghostscript fonts
>   with the t1mapper, xdvi still makes pk files for postscript fonts.
>   The problem is with the file ps2pk.map in which the gs fonts appear with
>   an encode number they should not have. Example, instead of
>  
> ptmr8r NimbusRomNo9L-Regu "TeXBase1Encoding ReEncodeFont" <8r.enc
> <utmr8a.pfb
>                                                                        ^^
> it should be
>
> ptmr8r NimbusRomNo9L-Regu "TeXBase1Encoding ReEncodeFont" <8r.enc <utmr.pfb

Why do you think that?  I'm not a guru at Type1 fonts usage in TeX,
but this is right from the teTeX source, and Debian GNU/Linux uses the
same rule.

I would like to advise you to make a small example file that
illustrates your problem, and send a bug report to
[email-masked].

> 3-All the fonts are allways done in the working  directory and not
>   in VARTEXFONTS. The problem is due to the kpathsea script mktex.opt. Here
>   the path-separator is set SEP=';' as in DOS, but CYGWIN is like  UNIX.
>   The problem is that such script uses the fact that COMSPEC is defined
>   to deduce that the OS is DOS-WINDOWS. In CYGWIN COMSPEC is also defined.

Ok thanks, I missed that one.  mktexlsr, for example, had the same
problem.  This will be fixed in the next release.  It seems that some
strange/misguided patches for Cygwin found their way into teTeX once,
that define Cygwin as DOSISH troughout.  Most annoying.  My latest
fixes for Cygwin have not been included upstream yet.

> 4- Using the terminal RXVT the texconfig dialog does not appear. The fact
>    is that RXVT claims to be xterm but actually it is not. But it is vt100
>    compatible, so if one sets TERM=vt100, everything is OK. With the true
>    xterm of X11 texconfig works fine.

Ok.  I'll add that to the release notes.  I consider this a bug in RXVT.

> I hope that this information could be useful.

Thanks, greetings,

Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/